Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MissingMethodExecutionFailed

- org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed

- A stack less exception used to indicate, that the execution of a missingMethod method failed with a MissingMethodException. This is used to preven a call to invokeMethod for GroovyObject implementing classes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingMethodExecutionFailed (String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Throwable` | `getCause()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MissingMethodExceptionNoStack` | `fillInStackTrace`
    `class MissingMethodException` | `getArguments, getMessage, getMethod, getType, isStatic`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)

  - ### Method Detail

    - #### public Throwable getCause()